Jump to content


Photo

errors with Divine Remix v8


5 replies to this topic

#1 Leonardo Watson

Leonardo Watson
  • Members
  • 18 posts

Posted 29 November 2014 - 06:07 AM

In a megamod with many kits I get this error:

ERROR: [kpchap01.cre] -> [override] Patching Failed (COPY) (Invalid_argument("Char.chr"))


ERROR Installing [Install Battleguard of Tempus Cleric Kit], rolling back to previous state
Will uninstall  29 files for [DIVINE_REMIX/SETUP-DIVINE_REMIX.TP2] component 109.

This is because of the wrong code at kit creation:

    COPY_EXISTING ~%creature%.cre~ ~override~
      WRITE_SHORT   0x244 0
      WRITE_BYTE    0x246 "%kit%"
      WRITE_BYTE    0x247 0x40
      BUT_ONLY

As the bigg pointed out all these instances should be replaced by:

    COPY_EXISTING ~%creature%.cre~ ~override~
      WRITE_SHORT   0x244 0
      WRITE_SHORT   0x246 0x4000 + "%kit%"
      BUT_ONLY

see here:    http://forums.gibberlings3.net/index.php?showtopic=21964   
and cmorgan's post:    http://forums.gibber...=21964&p=183270

 

 

The "Implement sphere system" component causes tons of errors like this with subsequent mods:

ERROR: [CERND10.CRE] -> [override/CERND10.CRE] Patching Failed (COPY) (Invalid_argument("String.sub"))
Stopping installation because of error.

ERROR Installing [Druid Kit Revisions], rolling back to previous state
Will uninstall  78 files for [PHORD_DRUIDKITS/SETUP-PHORD_DRUIDKITS.TP2] component 0.
ERROR: cannot convert i1 or %i1% to an integer
ERROR: [#SALYS.CRE] -> [override/#SALYS.CRE] Patching Failed (COPY) (Not_found)
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [Revised Thievery -> Use PnP thievery potions and prevent their effects from stacking], rolling back to previous state

Will uninstall  89 files for [RR/SETUP-RR.TP2] component 9.
ERROR: [cedruid2.cre] -> [override] Patching Failed (COPY) (Invalid_argument("String.sub"))
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [Store Revisions], rolling back to previous state
Will uninstall  69 files for [ITEM_REV/ITEM_REV.TP2] component 1030.
ERROR: [#SALYS.CRE] -> [override/#SALYS.CRE] Patching Failed (COPY) (Invalid_argument("String.sub"))
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [Update Spellbooks of Joinable NPCs], rolling back to previous state
Will uninstall   0 files for [SPELL_REV/SETUP-SPELL_REV.TP2] component 60.
ERROR: illegal 8-byte read from offset 3444 of 3316-byte file anomen6.cre
ERROR: [anomen6.cre] -> [override] Patching Failed (COPY) (Failure("anomen6.cre: read out of bounds"))
Stopping installation because of error.

ERROR Installing [Anomen gets sensible proficiencies in SoA (Ghreyfain - CTDproof)], rolling back to previous state
Will uninstall   0 files for [SETUP-BTWEAK.TP2] component 23.
ERROR: [udardul.cre] -> [override/udardul.cre] Patching Failed (COPY) (Invalid_argument("String.sub"))
Stopping installation because of error.

ERROR Installing [Item Pack], rolling back to previous state
Will uninstall 127 files for [SETUP-ITEM_PACK.TP2] component 0.
ERROR: [udphae01.cre] -> [override] Patching Failed (COPY) (Invalid_argument("String.sub"))
Stopping installation because of error.

ERROR Installing [+X% Elemental Damage Items], rolling back to previous state
Will uninstall   8 files for [SETUP-ITEM_PACK.TP2] component 9.
ERROR: illegal 2-byte read from offset 2050 of 1752-byte file NIGHTWLK.CRE
ERROR: [NIGHTWLK.CRE] -> [override/NIGHTWLK.CRE] Patching Failed (COPY) (Failure ("NIGHTWLK.CRE: read out of bounds"))
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [1ppv4: Increased paperdoll object variety (core)], rolling back to previous state
Will uninstall 712 files for [1PP/1PP.TP2] component 210.

... and so on. Installation of many mods and components fail if they are installed after the Implement sphere system component. For example I could not install:

RR comp 9
spell_rev comp 60
Unique Artifacts
Item_Rev comp 1030 Store Revisions
1ppv4 comp 210
Infinity Animations comp 0
IWDIFICATION comp 40 IWD Divine Spell Pack
STRATAGEMS comp 4240, 5010
Aurora comp 0

... and many, many other mods. Without the "Implement sphere system" component I could install all mods mentioned above without any error.
The errors are repeatable.



#2 Angel

Angel
  • Members
  • 117 posts
  • Gender:Not Telling
  • Location:Netherlands

Posted 29 November 2014 - 11:19 AM

On my BGT installation, the v8 Sphere system severely corrupts creature files, not only making subsequent mod installations fail but also rendering the game all but unplayable, even a New Game will crash to desktop with it installed.  I suspect the cause is the use of an out of scope variable in the function cd_spellbook_wrapup, but I am still investigating the issue.



#3 Angel

Angel
  • Members
  • 117 posts
  • Gender:Not Telling
  • Location:Netherlands

Posted 29 November 2014 - 12:04 PM

It seems I was right and the variable scope issue was causing the corruption.  I created a hot fix for this (and for the Nightcloak's infinite Dark Bolts mentioned in another thread) and sent it off to CamDawg.



#4 subtledoctor

subtledoctor
  • Modders
  • 2211 posts
  • Gender:Male

Posted 18 May 2016 - 08:48 AM

The "Implement sphere system" component causes tons of errors like this with subsequent mods:
...

... and so on. Installation of many mods and components fail if they are installed after the Implement sphere system component. For example I could not install:

RR comp 9
spell_rev comp 60
Unique Artifacts
Item_Rev comp 1030 Store Revisions
1ppv4 comp 210
Infinity Animations comp 0
IWDIFICATION comp 40 IWD Divine Spell Pack
STRATAGEMS comp 4240, 5010
Aurora comp 0

... and many, many other mods. Without the "Implement sphere system" component I could install all mods mentioned above without any error.
The errors are repeatable.


To be fair, IR, SR, RR, 1pp, and item mods generally should be installed before DR, not after.

Faiths & Powers: Spell spheres and kit pack for priests and paladins
Might & Guile: Tweaks and kits for warriors and rogues
Scales of Balance: Game tweaks and rule overhauls
NPC_EE: More options for NPCs in BGEE, SoD, & BG2EE


#5 subtledoctor

subtledoctor
  • Modders
  • 2211 posts
  • Gender:Male

Posted 18 May 2016 - 08:49 AM

By the way, DR v8 has a few typos that prevent a few kit abilities from working when the sphere system is *not* installed. I've made an edited version of the .tp2, I'll upload it as a hotfix later tonight.

Edited by subtledoctor, 18 May 2016 - 08:26 PM.

Faiths & Powers: Spell spheres and kit pack for priests and paladins
Might & Guile: Tweaks and kits for warriors and rogues
Scales of Balance: Game tweaks and rule overhauls
NPC_EE: More options for NPCs in BGEE, SoD, & BG2EE


#6 Mike1072

Mike1072
  • Gibberling Poobah
  • 2383 posts
  • Gender:Male
  • Location:Canada

Posted 18 May 2016 - 12:53 PM

The "Implement sphere system" component causes tons of errors like this with subsequent mods:
...

... and so on. Installation of many mods and components fail if they are installed after the Implement sphere system component. For example I could not install:

RR comp 9
spell_rev comp 60
Unique Artifacts
Item_Rev comp 1030 Store Revisions
1ppv4 comp 210
Infinity Animations comp 0
IWDIFICATION comp 40 IWD Divine Spell Pack
STRATAGEMS comp 4240, 5010
Aurora comp 0

... and many, many other mods. Without the "Implement sphere system" component I could install all mods mentioned above without any error.
The errors are repeatable.


To be fair, IR, SR, RR, 1pp, and item mods generally should be installed before DR, not after.


That SR component (adjusting spellbooks of joinable NPCs) is not coded to work with a sphere system and has a predicate that should prevent it being installed alongside DR component 0, but it looks like the component number in DR might have changed with the DR rewrite.

I'm not sure why IR's Store Revisions wouldn't work, but I'm not very familiar with it.



Reply to this topic



  


0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users